%define major_version 0.6

Summary:	A project manager and rich text editor for writers
Name:		plume-creator
Version:	0.66.1
Release:	%mkrel 4
License:	GPLv3+
Group:		Publishing
URL:		http://www.plume-creator.eu/
Source0:	http://sourceforge.net/projects/plume-creator/files/%{major_version}/%{name}-%{version}-src.tar.gz
Patch0:		%{name}-icon.patch
BuildRequires:	libqt4-devel
BuildRequires:	libzip-devel
BuildRequires:	libhunspell-devel

%description
With %{name}, organize your writing projects. Scenes, notes, characters,...
Rich Text editing, full screen editing and multiple projects supported.

%prep
%setup -cqn %{name}-%{version}
%patch0

%build
%qmake_qt4 %{name}.pro
%make

%install
%define apps       %{_datadir}/applications/
%define pixmaps    %{_datadir}/pixmaps/
%define locale     %{_datadir}/%{name}/locale/
 
rm -rf %{buildroot}
 
mkdir -p %{buildroot}%{_bindir}/
cp -p %{name} %{buildroot}%{_bindir}/
 
mkdir -p %{buildroot}%{apps}
cp -p resources/unix/applications/%{name}.desktop %{buildroot}%{apps}

mkdir -p %{buildroot}%{pixmaps}
cp -rp resources/images/icons/hicolor/* %{buildroot}%{pixmaps}
 
mkdir -p %{buildroot}%{locale}
cp -p translations/*.qm %{buildroot}%{locale}

%files
%{_bindir}/%{name}
%{apps}%{name}.desktop
%{pixmaps}*
%{locale}*.qm



%changelog
* Mon Feb 01 2016 umeabot <umeabot> 0.66.1-4.mga6
+ Revision: 930680
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.66.1-3.mga5
+ Revision: 743529
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.66.1-2.mga5
+ Revision: 687682
- Mageia 5 Mass Rebuild

* Sat Aug 09 2014 filipesaraiva <filipesaraiva> 0.66.1-1.mga5
+ Revision: 661294
- Patch to show plume-creator icon

* Sun Nov 17 2013 filipesaraiva <filipesaraiva> 0.66.1-1.mga4
+ Revision: 551687
- imported package plume-creator

